<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html">

<head>
<title>Apache TomEE</title>
<style type="text/css">
* {
	margin: 0;
}

body {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 18px;
}

.pagina {
	border: 1px solid #CAD6E0;
	width: 600px;
	min-height: 300px;
	margin: auto;
	margin-top: 15px;
}

h2, h3 {
	color: #454952;
	margin-bottom: 10px !important;
}

.header {
	width: 100%;
	text-align: center;
	background-color: rgb(228, 235, 235);
	font-family: Verdana, Arial, Helvetica, sans-serif;
	padding-top: 5px;
	padding-bottom: 10px;
}

.header h2 {
	font-size: 24px;
	font-weight: bold;
	box-sizing: border-box;
	margin-top: 10px;
}

.header h3 {
	font-weight: normal;
	font-size: 18px;
	margin-bottom: 10px;
}

.status {
	width: 100%;
	text-align: center;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 18px;
	box-sizing: border-box;
	padding: 5px;
}

.menu {
	width: 100%;
	text-align: center;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 18px;
	box-sizing: border-box;
	padding: 5px;
}

input[type="button"], input[type="submit"] {
	padding: 3px 10px;
	font-size: 18px;
}

input[type="text"], input[type="password"] {
	font-size: 18px;
	padding: 5px;
	width: 300px;
}

.principal {
	box-sizing: border-box;
	padding: 30px;
}

.principal h2, .principal h3 {
	margin: auto;
	color: #3A5CA7;
}

table {
 width: 100%;
}

table thead {
   background-color: #65829A;
   color: white;
}

table.listagem tr {
	outline: thin solid #EAEAEA;
}

table > thead > tr > th:nth-child(2){
	text-align: left;
}

table td:nth-child(1) {
	text-align:center;
	width: 40px;
}

table td:nth-child(3){
	text-align:center;
	width: 160px;
}

.row1{
 background:#F8F8F8;
}
 
.row2{
 background:#FFFFFF;
}

.errorMessage{
 color: red;
}

</style>
</head>
<body>
	<div class="pagina">
		<div class="header">
			<h2>Livraria com Apache TomEE</h2>
			<h3>
				<ui:insert name="status">(Página de acesso público)</ui:insert>
			</h3>
			<ui:insert name="menu">
				<div class="menu">
				    <h:form>
					    <h:outputLink value="#{request.contextPath}/index.xhtml">Home</h:outputLink>
					    <h:outputText value=" | " />
						<h:outputLink value="#{request.contextPath}/protegida/cadastro-jsf.xhtml">Cadastro JSF</h:outputLink>
						<h:outputText value=" | " />
						<h:outputLink value="#{request.contextPath}/protegida/cadastro-rest.xhtml">Cadastro REST</h:outputLink>
						<h:outputText value=" | " />
						<h:outputLink value="#{request.contextPath}/protegida/admin/admin.xhtml">Administração</h:outputLink>
						<h:panelGroup rendered="#{request.getUserPrincipal() != null}">
							<h:outputText value=" | " />
							<h:commandLink action="#{cadastro.logout}" value="Sair" />
						</h:panelGroup>
					</h:form>
				</div>
			</ui:insert>
		</div>
		<div class="principal">
			<ui:insert name="principal">Conteúdo da página.</ui:insert>
		</div>
	</div>
</body>
</html>